# Poco::Data

# template < class T, class C = std::vector < T > >

# class InternalExtraction

Library: Data
Package: DataCore
Header: Poco/Data/Extraction.h

## Description

Vector Data Type specialization for extraction of values from a query result set. List Data Type specialization for extraction of values from a query result set. Container Data Type specialization extension for extraction of values from a query result set.

This class is intended for PocoData internal use - it is used by StatementImpl to automaticaly create internal Extraction in cases when statement returns data and no external storage was supplied. It is later used by RecordSet to retrieve the fetched data after statement execution. It takes ownership of the Column pointer supplied as constructor argument. Column object, in turn owns the data vector pointer.

InternalExtraction objects can not be copied or assigned.

## Inheritance

Direct Base Classes: Extraction < C >

All Base Classes: Extraction < C >

## Member Summary

Member Functions: column, reset, value

## Constructors

### InternalExtraction

explicit InternalExtraction(
C & result,
Column < T > * pColumn
);

Creates InternalExtraction.

## Destructor

### ~InternalExtraction

~InternalExtraction();

Destroys InternalExtraction.

## Member Functions

### column

const Column < T > & column() const;

### reset

void reset();

### value

const T & value(
int index
) const;